spec:
  inputs:
    stage_prefix:
    environment_name:
      default: "play"
---

build-job-template:
  stage: $[[ inputs.stage_prefix ]]
  environment: $[[ inputs.environment_name ]]
  script:
    - echo "REMOTE TEMPLATE JOB..."
    - echo "Showing variables by environment..."
    - echo "ENVIRONMENT >> $ENVIRONMENT"
    - echo "BASE_URL >> $BASE_URL"
    - echo "EXPIRE_IN >> $EXPIRE_IN"
    - echo "Compile complete."

...